ダウンロード
取扱説明書
リソース
グループ
Star Fork

### アプリケーション開発指向のシンプルで柔軟なプログラミング言語

#### 概要119

日付 | 概要
--- | ---
2021年10月28日 | Ring 1.16 日本語版取扱説明書
2021年10月23日 | Ring 1.16 を公開しました！
2021年10月04日 | Ring 1.15 日本語版取扱説明書
2021年 9月24日 | Ring 1.15 を公開しました！
2021年08月20日 | Hassouna Academy の Ring 教材動画が 400 本を超えました
2021年08月15日 | MyCoffee (クラウドで展開)
2021年07月22日 | Chess 3D (Qt3D サンプル)
2021年05月01日 | PWCT 2.0 (進捗報告！)
2021年 4月17日 | Ring 1.14 日本語版取扱説明書
2021年 3月17日 | RosettaCode 掲載のサンプルソースが 700 本を超えました
2021年 3月15日 | Chess Endgame アプリケーション
2021年 1月25日 | Ring 1.14 を公開しました！
2021年 1月 5日 | RingTilengine 拡張機能
2020年12月28日 | アーランのB式
2020年12月25日 | RingLibUI 拡張機能
2020年12月10日 | MyCoffee (ウェブアプリケーション)
2020年11月10日 | コード行数集計器 (CLOC) の用法
2020年10月25日 | ウェブ開発のサンプル集 (WebLib)
2020年 9月15日 | Ring 1.13 を公開しました！
2020年 8月24日 | InfoWorld(インフォワールド): Ring 1.13 の紹介
2020年 8月20日 | オンライン版アプリケーション (WebAssembly)
2020年 7月30日 | 動画: ウェブアプリケーションの開発について
2020年 7月10日 | 動画: 進捗状況のご報告
2020年 7月 9日 | オンライン版フォームデザイナー (WebAssembly)
2020年 7月 8日 | Eight Queens ゲーム
2020年 7月 2日 | RosettaCode 掲載のサンプルソースが 600 本を超えました
2020年 6月 8日 | Ring 入門書のご案内 - Apress(エープレス): Beginning(ビギニング) Ring(リング) Programming(プログラミング) (英語版)
2020年 6月 1日 | ハノイの塔 (The Towers of Hanoi)
2020年 5月11日 | Escape ゲーム
2020年 5月10日 | Word ゲーム
2020年 5月 6日 | Tetris ゲーム
2020年 5月 5日 | Lottery ゲーム
2020年 4月30日 | Pairs ゲーム
2020年 4月16日 | Matching ゲーム
2020年 4月 9日 | RockPaperScissors ゲーム
2020年 3月31日 | MoneyBoxes ゲーム
2020年 3月29日 | Questions ゲーム
2020年 3月20日 | Laser ゲーム
2020年 2月15日 | Magic Balls ゲーム
2020年 2月12日 | Hassouna Academy コースのサンプルソース
2020年 2月 2日 | Ring 言語は SpaceVim に対応しました
2020年 1月25日 | Ring 1.12 を公開しました！
2019年12月25日 | Hassouna Academy の Ring 教材動画が 300 本を超えました
2019年12月23日 | チュートリアル: 数値を単語表記へ変換
2019年12月 5日 | 囲碁ゲーム
2019年11月10日 | 動画: PWCT 2.0 の開発風景 (Ring を採用)
2019年10月 6日 | Ring 1.11 日本語版取扱説明書
2019年10月 5日 | Ring 入門 (アラビア語の電子書籍)
2019年10月 1日 | 動画: 1.5 時間でわかる Ring 入門
2019年 9月15日 | Ring 1.11 を公開しました！
2019年 6月25日 | RingRayLib 拡張機能
2019年 6月10日 | Qt3D チュートリアル
2019年 6月 3日 | Maze ゲーム
2019年 6月 1日 | Sokoban ゲーム
2019年 5月10日 | Sudoku ゲーム
2019年 4月25日 | Checkers ゲーム
2019年 4月 1日 | チュートリアル: C/C++ による拡張機能の開発方法
2019年 3月 1日 | Hassouna Academy の Ring 教材動画が 200 本を超えました
2019年 2月 9日 | アプリケーション: Desktop Screen Shot (デスクトップ画面撮影)
2019年 1月31日 | Ring 1.10 日本語版取扱説明書
2019年 1月25日 | Ring 1.10 を公開しました！
2019年 1月15日 | Ring パッケージマネージャー (RingPM)
2018年11月11日 | Chess ゲーム
2018年11月 6日 | GameOfLife ゲーム
2018年10月16日 | Visual Studio Code 用の Ring 拡張機能
2018年10月14日 | Knight Tour ゲーム
2018年10月12日 | Minesweeper ゲーム
2018年10月25日 | Ring 1.9 を公開しました！
2018年 8月22日 | ゲーム: Gold Magic 800
2018年 7月17日 | Ring Notepad の新しいスタイル
2018年 7月 2日 | Heroku のクラウドを使用した Ring ウェブアプリケーションの配布
2018年 6月25日 | Ring 1.8 を公開しました！
2018年 6月10日 | RingBeep: 初めての拡張機能を作ろう
2018年 6月 4日 | 動画 : プログラミング言語 Ring のご紹介
2018年 6月 1日 | アラビア語での無料講義
2018年 5月11日 | StopWatch アプリケーション
2018年 4月27日 | String2Constant アプリケーション
2018年 3月23日 | Manjaro Linux での Ring コンパイル
2018年 3月20日 | FoxRing ライブラリ
2018年 3月 6日 | Find in Files アプリケーション
2018年 3月 3日 | Cards ゲームの改良
2018年 1月25日 | Ring 1.7 を公開しました！
2017年12月21日 | 記事: プログラミング言語 Ring の宣言型手法
2017年11月30日 | Ring 1.6 を公開しました！
2017年 8月30日 | ゲーム : TicTacToe 3D!
2017年 8月28日 | Google API Shortener アプリケーション!
2017年 8月21日 | Ring 1.5 を公開しました！
2017年 8月10日 | 記事 : 自然言語プログラミングライブラリ (NLPL) の使用方法
2017年 7月27日 | GitHub で Ring プロジェクトを見つけられるようになりました。
2017年 6月29日 | Ring 1.4 を公開しました！
2017年 5月25日 | Ring 1.3 を公開しました！
2017年 2月 9日 | Emacs エディタ用 Ring モード
2017年 1月25日 | Ring 1.2 を公開しました！
2016年10月13日 | 記事 : 自然言語プログラミング
2016年10月 9日 | 記事 : シンタックスの柔軟性
2016年10月06日 | Ring 1.1 を公開しました！
2016年10月 4日 | Ring_WinCReg 拡張機能
2016年10月 4日 | Werdy アプリケーション
2016年 6月 6日 | Ring 1.0 用の Qt を使用したモバイルアプリケーション開発
2016年 5月26日 | Ring 1.0 macOS 版を公開しました！
2016年 5月11日 | Super Man 2016 ゲーム
2016年 5月 7日 | Flappy Bird 3000 ゲーム
2016年 5月 3日 | Stars Fighter ゲーム
2016年 5月 2日 | 記事: RingAllegro による Squares Puzzle (CodeProject)
2016年 4月 3日 | Ring の記事 (CodeProject)
2016年 3月31日 | Ring ソースコード (GitHub)
2016年 3月28日 | Atom エディタ用の Ring 拡張機能
2016年 3月21日 | Wikibooks での Ring 関連記事
2016年 3月16日 | 動画 : プログラミング言語 Ring のご紹介
2016年 3月12日 | Geany エディタ用の Ring 拡張機能
2016年 3月 5日 | Ring をオンラインで体験 (対話型 Ring 端末)
2016年 3月 4日 | Sublime Text 2 用の Ring 構文色分け・強調機能
2016年 2月28日 | Ring 1.0 (Ubuntu Linux 版) を公開しました！
2016年 2月17日 | Visual Studio 用の Ring 拡張機能
2016年 1月30日 | Ring ウェブサイトにサンプルとブログの一覧を掲載した「リソース」ページを追加
2016年 1月27日 | WebLib 1.0 を公開しました！
2016年 1月25日 | Ring 1.0 を公開しました！
2016年 1月23日 | Ring チーム！さらに Ring グループ
2016年 1月21日 | ウェブサイトを開設しました！

初級

- 時速でデキるアプリケーション開発
- はじめに
- 言語設計
- ソースコードのビルド方法
- 開発への参戦
- Ring ノートパッドの用法
- 入門 - 第一形式
- 入門 - 第二形式
- 入門 - 第二形式
- 変数
- 演算子
- 制御構造 - 第一形式
- 制御構造 - 第二形式
- 制御構造 - 第二形式
- 標準入力の取得
- 関数 - 第一形式
- 関数 - 第二形式
- 関数 - 第二形式
- プログラムの構造
- リスト
- 文字列
- 日付と時刻
- データ型の検査と変換
- 算術関数
- ファイル
- システム関数
- Eval() とデバッグ
- デモプログラム

中級

- ODBC 関数
- MYSQL 関数
- SQLite 関数
- PostgreSQL 関数
- セキュリティとインターネット関数
- オブジェクト指向プログラミング (OOP)
- 関数型プログラミング (FP)
- リフレクションとメタプログラミング
- Stdlib 関数
- Stdlib クラス
- 多重構造の宣言型プログラミング
- 自然言語プログラミング
- 自然言語ライブラリの用法
- 変数と属性のスコープ規則
- 関数とメソッドのスコープ規則
- シンタックスの柔軟性
- Ring アプリケーションの配布方法
- Ring アプリケーションの配布方法 (Ring 1.6 以降)
- Ring パッケージ管理プログラム (RingPM)
- 型ヒントライブラリ
- ウェブ開発 (CGI ライブラリ)
- クラウド経由でのウェブアプリケーションの配布方法
- RingLibCurl の用法
- RingZip の用法
- グラフィックスと 2D ゲームプログラミング (RingAllegro)
- RingLibSDL の用法
- デモプロジェクト - 2D ゲームエンジン
- Android 用ゲームのビルド方法

上級

- RingOpenGL と RingFreeGLUT の用法 (3D グラフィックス)
- RingOpenGL と RingAllegro の用法 (3D グラフィックス)
- Gold Magic 800 ゲーム
- RingRayLib の用法
- デスクトップとモバイル開発 (RingQt)
- モバイル用 RingQt アプリケーションのビルド方法
- RingQt アプリケーション用のオブジェクトライブラリ
- フォームデザイナーの用法
- 多国語アプリケーション
- RingZip の用法
- 低水準関数
- トレースライブラリとインタラクティブデバッガ
- チュートリアル: C/C++ による拡張機能の開発方法
- C/C++ による拡張機能の開発方法
- C/C++ プログラムへ Ring を組み込むには
- C/C++ ライブラリ接続用コード生成器
- はじめての拡張機能開発 (コード生成器)

その他

- コマンドラインオプション
- 一般情報
- 言語リファレンス
- よくある質問と回答 (FAQ)

GitHub リソース チーム